[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.AfterDelete

## Declaration

Source position: db.pas line 1372

`public property TDataSet.AfterDelete: TDataSetNotifyEvent read FAfterDelete write FAfterDelete;`

## Description

AfterDelete is triggered after the succesfull completion of the TDataset.Delete operation, when the dataset is again in dsBrowse state. The event is followed by a TDataset.AfterScroll event.

## See also

TDataset.BeforeDelete |  | Event triggered before a Delete operation.
TDataset.Delete |  | Delete the current record.
TDataset.AfterScroll |  | Event triggered after the cursor has changed position.
TDataset.State |  | Current operational state of the dataset

The latest version of this document can be found at lazarus-ccr.sourceforge.net .